﻿@model IContentBlockViewModel<TextSection>

<section class="text-section">
    <div class="text-section__container">
        <div class="text-section__text">
            @if (Model.Content.HasValue("heading") && !string.IsNullOrEmpty(Model.Content.Value("heading").ToString()))
            {
                <h2 class="section-title">
                    @RazorHelpers.GenerateMsHeading(Model.Content.Value("heading").ToString())
                </h2>
            }
            <div class="text-content">
                <div class="description-text">
                    @Html.Raw(Model.Content.Text)
                </div>
                <div class="btn-group">
                    @{
                        var links = Model.Content.Value<IEnumerable<Link>>("links");
                        if (links.Any())
                        {
                            foreach (var link in links)
                            {
                                if (link != null)
                                {
                                    <a href="@link.Url" target="@link.Target" class="btn">
                                        <span>@link.Name</span>
                                        <svg width="13px" height="10px" viewBox="0 0 13 10">
                                            <path d="M1,5 L11,5"></path>
                                            <polyline points="8 1 12 5 8 9"></polyline>
                                        </svg>
                                    </a>
                                }

                            }
                        }
                    }
                </div>
            </div>
        </div>
    </div>
</section>


